本文整理汇总了Python中Base.addLines2Document方法的典型用法代码示例。如果您正苦于以下问题:Python Base.addLines2Document方法的具体用法?Python Base.addLines2Document怎么用?Python Base.addLines2Document使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Base
的用法示例。
在下文中一共展示了Base.addLines2Document方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的Python代码示例。
示例1: finish
# 需要导入模块: import Base [as 别名]
# 或者: from Base import addLines2Document [as 别名]
def finish(self , closed=False, cont=False):
tmpMaterialNo = 0
if (not self.isWire and len(self.node) == 2) or cont == False: # 绘制结束时再弹出选择材质的对话框
print 'finishing material line\n'
self.initDialog()
self.dialog.exec_()
tmpMaterialNo = self.getMaterialNumber()
self.setBlocksMat(self.node, tmpMaterialNo)
import Base
from loadDataTools import DDALine
Base.addLines2Document(self.shapeType, ifStore2Database = True
, args=[DDALine(self.node[0] , self.node[1] ,tmpMaterialNo )] , ifTriggerRedraw=True)
self.clearDialog()
# FreeCADGui.runCommand('DDA_StoreBlocksMaterial')
print ' line finishing'
obj = Line.finish(self , closed, cont)